Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81895 - EPSV support sometimes breaks FTP service
Summary: EPSV support sometimes breaks FTP service
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-15 00:03 UTC by Jules Agee
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-27 16:53:24 UTC


Attachments (Terms of Use)

Description Jules Agee 2003-01-15 00:03:30 UTC
Description of problem:
EPSV and EPRT commands are now supported, (though they still don't show up on
the man page's list of supported commands) but there is no way to disable them
without also disabling the PASV and PORT commands. This "bug report" is really a
request for a feature: a configuration option to disable support for RFC2428.

Many FTP proxies and firewalls, including freebsd's ipfilter and Cisco's PIX
firewall, don't yet have support for the EPSV command. Some FTP clients
(FreeBSD's, for one) begin with an EPSV command and then fall back to the PASV
command if EPSV isn't supported by the FTP server. 

Unfortunately, if the client is going through a proxy or firewall that doesn't
support EPSV, the FTP server may give a positive response to the EPSV command,
but the firewall will block the client from connecting to the data transfer
port, resulting in broken FTP service. If I could get my FTP server to refuse
EPSV commands, the clients would fall back to using the PASV command which my
firewall understands.

Version-Release number of selected component (if applicable):
wu-ftpd 2.6.2-5

Comment 1 Thomas Woerner 2004-01-27 16:53:24 UTC
Please use vsftpd instead. wu-ftpd is not maintained anymore.


Note You need to log in before you can comment on or make changes to this bug.